Get Enrichment Waterfall
curl --request GET \
--url https://api.lemlist.com/api/v2/enrichments/waterfalls/{waterfallId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/v2/enrichments/waterfalls/{waterfallId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/v2/enrichments/waterfalls/{waterfallId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/v2/enrichments/waterfalls/{waterfallId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/v2/enrichments/waterfalls/{waterfallId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": "ecw_ExAmPlE1234567890a",
"type": "email",
"name": "Europe email waterfall",
"isDefault": false,
"editor": "usr_ExAmPlE1234567890a",
"conditions": {
"country": {
"in": [
"FR",
"DE",
"ES",
"IT",
"GB"
]
}
},
"providers": [
{
"id": "prospeo",
"order": 1,
"enabled": true
},
{
"id": "lusha",
"order": 2,
"enabled": true
},
{
"id": "findymail",
"order": 3,
"enabled": true
},
{
"id": "datagma",
"order": 4,
"enabled": false
}
],
"createdAt": "2026-09-10T14:03:00.000Z",
"updatedAt": "2026-09-10T14:03:00.000Z"
}
}{
"error": "Route unauthorized",
"code": "ROUTE_UNAUTHORIZED"
}{
"error": "Waterfall not found",
"code": "ENRICHMENT_WATERFALL_NOT_FOUND"
}{
"error": "Internal error",
"code": "INTERNAL_ERROR"
}Enrichment Waterfalls
Get Enrichment Waterfall
Returns one enrichment waterfall of your team, default or custom.
GET
/
v2
/
enrichments
/
waterfalls
/
{waterfallId}
Get Enrichment Waterfall
A waterfall is addressed by the id returned by List Enrichment Waterfalls:
default_email or default_phone for a default waterfall, an ecw_ id for a custom one.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Id of the waterfall, as returned by the list endpoint: default_email or default_phone for a default waterfall, an ecw_ id for a custom one.
Response
Success
An ordered list of providers for one enrichment type.
Show child attributes
Show child attributes
Was this page helpful?